<?php
#by FeST
#ICQ : 3452223

$page=abs(intval($_GET['str']));

$arr = mysql_query("SHOW TABLES"); 
if(!$arr) echo "Произошла ошибка: ".mysql_error(); 
if(mysql_num_rows($arr)) 
{ 
	$i=1;
	echo "<table>
	<tr align='center'>
	<td>Таблица</td>
	<td>Записей</td>
	<td>Действия</td>
	</tr>";
	
	while($result = mysql_fetch_array($arr)) 
	{ 
	
		$end=$page+10;
	
		 
		if($i>=$page && $i<$end)
		echo "<tr align='center' class='".($i%2 ? "tr1" : "tr2")."'>
		<td>
		<a href='index.php?table=".$result[0]."&amp;mode=show'>".$result[0]."</a>
		</td>
		<td align='center'>".mysql_num_rows(mysql_query("SELECT * FROM `".$result[0]."`"))."</td>
		<td>
		<a href='index.php?table=".$result[0]."&amp;mode=optimize'><img src='i/optimize.png' /></a>
		<a href='index.php?table=".$result[0]."&amp;mode=browse'><img src='i/browse.png' /></a>
		<a href='index.php?table=".$result[0]."&amp;mode=structure'><img src='i/structure.png' /></a>
		<a href='index.php?table=".$result[0]."&amp;mode=empty'><img src='i/empty.png' /></a>
		<a href='index.php?table=".$result[0]."&amp;mode=delete'><img src='i/delete.png' /></a></td>
		</tr>
		"; 
	
		$i++;
	}

	echo "</table>Всего таблиц : <b>".$i."</b><br/><b>Страница</b><br/>";
	for($s=0;$s<($i/10);$s++)
	echo ($s!=$page/10 ? "<a href='index.php?str=".($s*10)."'>".($s+1)."</a>" : "<b>".($s+1)."</b>")." ";
	

} 
?>
